EDIT - bug #7823

User Persons are not deduplicated
10/14/2018 02:55 PM - Andreas Miiller

Status: Closed Start date:

Priority: Priority12 Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Euro+Med Migration

Severity: normal Found in Version:

Description

Persons related to users are often the same as they are only for different sec's.

We may want to deduplicate them.

Also we could deduplicate the users themselves as the rights management is differnt in CDM.

Associated revisions

Revision aecf2600 - 10/14/2018 02:56 PM - Andreas Miiller

ref #7823 implement user.person deduplication

Revision da6¢c2341 - 05/16/2019 10:20 AM - Andreas Miiller

ref #7823 deduplicate usernames depending on secrefs, use xml imports (and other imports) as source, not username

Revision 1a2954e6 - 05/16/2019 10:21 AM - Andreas Miiller

ref #7823 add createdUpdated info to occurrences for E+M import

History

#1 - 10/14/2018 02:56 PM - Andreas Miiller
- Status changed from New to In Progress

- Target version changed from Unassigned CDM tickets to Euro+Med Migration

#2 - 11/22/2018 10:51 AM - Andreas Miiller

- Tags changed from euromed to euro+med

#3 - 05/16/2019 10:11 AM - Andreas Miiller

- Status changed from In Progress to Resolved

fixed

#4 - 09/17/2021 03:21 PM - Andreas Miiller
- Status changed from Resolved to Closed

- % Done changed from 70 to 100

This is fixed. No duplicate or unnecessary users were imported from BM. Though there are a couple of users representing machine algorithms.
